Skip to content

Game data

List gifts

GET
https://ba.joexyz.online/api/v1/gifts

Lists gifts by id, with the students who adore, love or like each one.

Parameters

  • q: Matches gifts whose English or Japanese name contains this text.
  • limit: Maximum number of results, 1–500.

Authentication

No authentication required.

Query parameters

NameValue
q
limit
curl 'https://ba.joexyz.online/api/v1/gifts?q=&limit='
Response
{
  "data": [
    {
      "id": 5105,
      "name": "Airbook Rare",
      "nameJP": "エイ~ブックレア",
      "rarity": "SSR",
      "expValue": 60,
      "iconName": "item_icon_favor_lv2_5",
      "isLovedByEveryone": false,
      "adoredBy": [
        {
          "id": "chiaki",
          "name": "Chiaki"
        }
      ],
      "lovedBy": [],
      "likedBy": [],
      "iconUrl": "https://ba.cdn.nimblebun.works/v2/images/items/item_icon_favor_lv2_5.webp"
    }
  ]
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc